unit uComercioInternacional;

{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses
  uActorNodal;

type
  //Todos los Spots heredan de esta clase

  { TComercioInternacional }

  TComercioInternacional = class(TActorUniNodal)
    class function DescClase: string; override;
    procedure set_P_horario;
  end;


implementation

class function TComercioInternacional.DescClase: string;
begin
  Result := 'Comercio Internacional';
end;

procedure TComercioInternacional.set_P_horario;
var
  hora,iposte:integer;
begin
    for hora := 0 to Length(self.P_horaria) - 1 do
      begin
           iposte := globs.kPosteHorasDelPaso[hora];
           self.P_horaria[hora]:= self.P[iposte]
      end

end;


end.
